Skip to main content
POST
/
api
/
v1
/
invoices
/
{id}
/
pay
cURL
curl --request POST \
  --url https://sandbox.api.nkama.ga/api/v1/invoices/{id}/pay \
  --header 'Authorization: Bearer <token>'
{
  "bookingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "currency": "<string>",
  "dueDate": "2023-12-25",
  "grossAmount": 123,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "netAmount": 123,
  "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "paidAt": "2023-11-07T05:31:56Z",
  "periodEnd": "2023-12-25",
  "periodStart": "2023-12-25",
  "tenantUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tvaAmount": 123,
  "tvaBasisPoints": 123
}

Authorizations

Authorization
string
header
required

Bearer access token (JWT) issued by Keycloak or the sandbox token endpoint.

Path Parameters

id
string<uuid>
required

Response

200 - */*

OK

bookingId
string<uuid>
createdAt
string<date-time>
currency
string
dueDate
string<date>
grossAmount
integer<int64>
id
string<uuid>
netAmount
integer<int64>
orgId
string<uuid>
paidAt
string<date-time>
periodEnd
string<date>
periodStart
string<date>
status
enum<string>
Available options:
ISSUED,
OVERDUE,
PAID,
CANCELLED
tenantUserId
string<uuid>
tvaAmount
integer<int64>
tvaBasisPoints
integer<int64>